Skip to main content
POST
/
api
/
v2
/
ethereum
/
validators
/
proposal-slots
Proposal Slots
curl --request POST \
  --url https://beaconcha.in/api/v2/ethereum/validators/proposal-slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "validator": {
    "validator_identifiers": [
      1
    ]
  },
  "chain": "mainnet",
  "cursor": "",
  "page_size": 10,
  "range": {
    "timestamp": {
      "start": 0,
      "end": 2147483647
    }
  }
}
'
{
  "data": [
    {
      "slot": 1,
      "finality": "not_finalized",
      "validator": {
        "index": 1,
        "public_key": "<string>"
      },
      "block": 1
    }
  ],
  "range": {
    "slot": {
      "start": 1,
      "end": 1
    },
    "epoch": {
      "start": 1,
      "end": 1
    },
    "timestamp": {
      "start": 1,
      "end": 1
    }
  },
  "paging": {
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authorization header with value: Bearer YOUR_TOKEN. Refer to the API Keys section to create your API key.

Body

application/json
validator
Indices/Pubkeys · object
required

Free selectors available to all users:

  • validator_identifiers: One or more validator indices or public keys to filter by.
  • dashboard_id: Your beaconcha.in dashboard ID (requires a free account).

Premium selectors for Scale & Enterprise plans (https://beaconcha.in/pricing):

  • withdrawal: The validator's withdrawal credential or the Ethereum wallet address used for withdrawals.
  • deposit_address: The Ethereum wallet address used for the validator's deposit.
  • entity (Coming Soon!): The name of the assigned entity (e.g., "Lido", "Coinbase"). Optionally include sub_entity for more specific filtering. Matching is case-insensitive.

Note: The set of validators matched by deposit_address and withdrawal selectors is updated once per epoch (~6.4 minutes). Newly deposited validators may take up to one epoch to appear in query results.

Note: The set of validators matched by entity selector is updated once per day.

chain
enum<string>
default:mainnet

The Ethereum chain to query.

Available options:
mainnet,
hoodi
cursor
string
default:""

Cursor value for pagination. See our pagination guide for more details.

page_size
integer
default:10

The number of items to return per page.

Required range: 1 <= x <= 10
range
Unix Timestamp · object

Specify a time range using either Unix timestamps or epoch numbers. If left null, the API will query the entire available history of the selected validators.

Response

Successful response.

Response containing detailed proposal information of the validators.

data
object[]
required
range
object
required

The range of data covered by the results, specified in slots, epochs, and Unix timestamps.

paging
object